
  Line = class {

    constructor(slope, yIntercept) {

      if(!slope) { // If slope is 0 or not provided

        throw new RangeError("Slope cannot equal " + slope);

      }

      this.m = slope;
      this.b = yIntercept || 0;

    }

  }

  xAtY = function(line, yVal) {

    // Returns X at Y

    return -line.m * (- yVal - line.b);

  }

  yAtX = function(line, xVal) {

    // Returns Y at X

    return line.m * xVal + line.b;

  }

  lineFromRect = function(x, y, width, height) {

    return new Line(height / width, y - x*(height/width));

  }

module.exports = {
  Line,
  xAtY, yAtX,
  lineFromRect
}
